SIVP Toolbox
Last update : July, 2006

imfinfo - Get the information about image file

### Calling Sequence

  `info = imfinfo(filename)`

### Parameters

- `filename`: A string, the image filename to be read.
- `info`: A mlist. The set of fields in the `info` structure is shown as follows:

  Field Name | Description
  Filename | String containing the image file name.
  FileSize | Integer indicating the size of the image file in bytes.
  Width | Integer indicating image width in pixels.
  Height | Integer indicating image height in pixels.
  BitDepth | Integer indicating the number of bits per pixel .
  ColorType | String containing the color type of the image file, which can be 'grayscale' or 'truecolor'.

### Examples

        info = imfinfo(SCI+'/contrib/sivp/images/lena.png')

### Authors

  Shiqi Yu <shiqi.yu[at]gmail.com>

### Availability

The latest version of SIVP can be found at

http://sivp.sourceforge.net

### See Also

`imread`, `imwrite`, `imshow`,